Subject: make error during PostgreSQL installation on windows using cygwin
From: "Godson Retna" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 26 Nov 2002 13:56:06 +0530

-----Original Message-----
From: Godson Retna [mailto:[email-masked]]
Sent: Tuesday, November 26, 2002 1:03 PM
To: Jason Tishler
Cc: [email-masked]
Subject: RE: [CYGWIN] make error during PostgreSQL installation on
windowsusing cygwin

Hi Jason

Thank you for your valuable assistance.

BTW, I did try using the pre-built version part of the Cygwin installation,
but it fails ...

[quote]---------------------------------------------------------------------
------------

$ initdb -D /usr/share/postgresql/data
The files belonging to this database system will be owned by user
"Administrator
".
This user must also own the server process.

creating directory /usr/share/postgresql/data... ok
creating directory /usr/share/postgresql/data/base... ok
creating directory /usr/share/postgresql/data/global... ok
creating directory /usr/share/postgresql/data/pg_xlog... ok
creating directory /usr/share/postgresql/data/pg_clog... ok
creating template1 database in /usr/share/postgresql/data/base/1... Caught
signa
l.

initdb failed.
Removing /usr/share/postgresql/data.

Administrator@WEBLOGIC /usr/share/postgresql
$

Administrator@WEBLOGIC /usr/share/postgresql
$ logout

D:\apps\cygwin\bin>

[end
quote]----------------------------------------------------------------------
------------

Do give your valuable feedback.

Best Regards.

Godson R.

-----Original Message-----
From: Jason Tishler [mailto:[email-masked]]
Sent: Monday, November 18, 2002 9:18 PM
To: Godson Retna
Cc: [email-masked]
Subject: Re: [CYGWIN] make error during PostgreSQL installation on
windowsusing cygwin

Godson,

On Mon, Nov 18, 2002 at 06:07:30PM +0530, Godson Retna wrote:
> Get the following error after installing cygwin and during running
> installation steps for PostgreSQL 7.2.1 on windows.
>
> ./configure passed successfully.
>
> make gives the following error:
>
> $ make
> [snip]
> make[4]: Entering directory
> `/cygdrive/c/postgresql/postgresql-7.2.1/src/backend/storage/ipc'
>
gcc -O2 -Wall -Wmissing-prototypes -Wmissing-declarations -I../../../../src/
include -I/usr/local/include -DBUILDING_DLL=1  -c -o ipc.o ipc.c
> cc1: warning: changing search order for system directory
> "/usr/local/include"
> cc1: warning:   as it has already been specified as a non-system directory
> ipc.c: In function `InternalIpcSemaphoreCreate':
> ipc.c:271: warning: implicit declaration of function `semget'
> ipc.c:271: `IPC_CREAT' undeclared (first use in this function)
> ipc.c:271: (Each undeclared identifier is reported only once
> ipc.c:271: for each function it appears in.)
> [snip]

Did you forget to install cygipc?  Or, is this yet another Cygwin gcc
3.x problem?

BTW, can you use the pre-built version that is part of the standard
Cygwin distribution?

Jason

--
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/